
from django.shortcuts import render,redirect
from django.contrib.auth import login,logout,authenticate
from django.contrib.auth.forms import AuthenticationForm
from django .contrib.auth.models import User
from .forms import *
from django.contrib import messages
from .models import *
from django.http import HttpResponse
from django.shortcuts import get_object_or_404
from django.http import JsonResponse
from .models import Tasks

def complete_task(request, task_id):
    task = get_object_or_404(Tasks, id=task_id)
    
    if request.method == 'POST':
        completed = request.POST.get('completed', False)
        task.completed = completed
        task.save()
        
        return JsonResponse({'success': True})
    
    return JsonResponse({'success': False})



def homes(request):
    return render(request, 'app1/base.html')

def AdminDashboard(request):
    # users = User.objects.all().values()
    Customers = customers.objects.all()
    
    # data=users
    return render(request, "app1/AdminDashboard.html", {"customers":Customers} )

def userViewDetails(request,pk):
    tasks = Tasks.objects.filter(works_id=pk)
    return render(request,'app1/userView.html',{'Tasks':tasks})

def home(request):
    if request.user.is_superuser:
        return redirect('admin-dash')
    # else:
        # return redirect('taskView')
    customer=customers.objects.get(user=request.user)
    tasks = Tasks.objects.filter(works_id = customer)
    return render(request,'app1/userView.html',{'Tasks':tasks})

    return render(request,'app1/home.html',{'details':customer})

# def uploadTask(request):
#     customer=customers.objects.get(user_id=request.user.id)
#     form=TaskForms()
    
#     if request.method=="POST":
#         form=TaskForms(request.POST)
        
#         if form.is_valid():
#             Title=form.cleaned_data["Title"]
#             Details=form.cleaned_data["Details"]
#             model=Tasks(Title=Title,Details=Details,works=customer)
            
#             model.save()
#             form=TaskForms()
#             return redirect('taskView', customer.user_id)
#     else:
#         form = TaskForms()
   
    
#     return render (request,'app1/uploadTask.html',{'upload':form})

def updateTask(request,user_id,prod_id):
    
    customer=customers.objects.get(user_id=user_id)
    # if request.user.is_superuser:
        
        # customer=customers.objects.get(user_id=)
    
    abc=Tasks.objects.get(id=prod_id)
    
    xyz=TaskForms(request.POST or None ,instance=abc)
    
    
    if xyz.is_valid():
        xyz.save()
        return redirect('taskView',customer.user_id) 
    
    return render(request,'app1/uploadTask.html',{'upload':xyz}) 

def updateCustomer(request,user_id):
    user=User.objects.get(id=user_id)
    form=CustomerForms(request.POST or None ,instance=user)
    if form.is_valid():
        # username = form.cleaned_data["username"]
        # email=form.cleaned_data["email"]
        # model=User(username=username,email=email)
        # model.save()
        form.save()
        
        
        return redirect('home')
    
    
    return render(request,'app1/uploadCustomer.html',{'upload':form}) 

 
def login_req(request):
    if request.method=="POST":
        username=request.POST['username']
        password=request.POST['password']
        user=authenticate(username=username,password=password)
        if user is not None:
            login(request,user)
            return redirect('home')
        else:
            messages.error(request,"invalid")
            return redirect('login_req')
    else:
        form=LoginForm()
    return render(request,"app1/login.html",{'login_form':form})  

def AdminDelete(request,user_id):
    # customer=customers.objects.get(user_id=user_id) #! Get Customer
    user = User.objects.get(id=user_id)
    
    user.delete()
    return redirect('admin-dash')

def user_logout(request):
    logout(request)
    return redirect('/')  

def register_req(request):
    if request.method=="POST":
        username=request.POST['username']
        password=request.POST['password']
        email=request.POST['email']
        user=User.objects.create_user(username=username,password=password,email=email)
        user.save()
        customer=customers(user=user)
        customer.save()
        return redirect('login_req')
    form =NewUserForm
    return render(request,'app1/register.html',{'form':form}) 

def TaskDelete(request,user_id,prod_id):
    # customer =customers.objects.get(user_id=user_id) #! Get Customer
    task=Tasks.objects.get(id=prod_id)
    task.delete()
    return redirect('taskView',user_id)

def uploadTask(request,id):
    customer=customers.objects.get(user_id=id)
    form=TaskForms()
    
    if request.method=="POST":
        form=TaskForms(request.POST)
        if form.is_valid():
            Title=form.cleaned_data["Title"]
            Details=form.cleaned_data["Details"]
            model=Tasks(Title=Title,Details=Details,works_id=id)
            
            model.save()
            form=TaskForms()
            return redirect('admin-dash')
        else:
         form = TaskForms()
   
    
    return render (request,'app1/uploadTask.html',{'upload':form})

