
"""
URL configuration for project project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from app1 import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',views.homes,name='homes'),
    path('login_req',views.login_req,name="login_req"),
    path('admin-dash',views.AdminDashboard,name='admin-dash'),
    path('taskView/<int:pk>',views.userViewDetails,name='taskView'),
    path('home',views.home,name='home'),
    #  path('uploadTask/',views.uploadTask,name='uploadTask'),
    path('updatetask/<int:user_id>/<int:prod_id>/',views.updateTask,name='updatetask'),
    path('updatecustomer/<int:user_id>',views.updateCustomer,name='updatecustomer'),
    path('deletetask/<int:user_id>/<int:prod_id>/',views.TaskDelete,name='deletetask'),

    path('deleteuser/<int:user_id>',views.AdminDelete, name='deleteuser'),
    path('logout/',views.user_logout,name='logout'),
    path('register_req',views.register_req,name="register_req"),
    # path('uploaduser',views.uploaduser,name='uploaduser'),
     path('uploadTask/<int:id>',views.uploadTask,name='uploadTask'),
     path('tasks/<int:task_id>/complete/',views.complete_task, name='complete_task'),
    


]